%define po_package gok

Summary: GNOME Onscreen Keyboard
Name: gok
Version: 0.10.2
Release: 1
License: GPL
Group: Desktop/Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gok/0.10/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch1: gok-0.9.10-lib64.patch

PreReq:         scrollkeeper >= 0.1.4
PreReq:		at-spi
BuildRequires:	at-spi-devel
BuildRequires:	gail-devel
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  libgnomeui-devel
BuildRequires:  libwnck-devel
BuildRequires:  gtk-doc
BuildRequires:  m4
BuildRequires:  gettext

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse. Many individuals must
control the computer using alternative input methods. Using innovative
dynamic keyboard strategies, and leveraging gnome 2's built-in
accessibility framework, the gok will make control more efficient and
enable use of the gnome 2 desktop. With the right hardware support and
the gok individuals will have full access to applications that support
the AT SPI, and therefore, full access to the functionality these
applications provide.

%prep
%setup -q
%patch1 -p1 -b .lib64

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gok.desktop

%find_lang %{po_package}


%clean
rm -rf $RPM_BUILD_ROOT

%post

scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gok.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update


%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/*schemas
%{_bindir}/gok
%{_libdir}/pkgconfig/*pc
%{_libdir}/bonobo/servers/GNOME_Gok.server
%{_datadir}/gok
%{_datadir}/gnome
#%{_datadir}/gtk-doc/html/gok
%{_datadir}/omf
#%{_datadir}/applications/gok.desktop
%{_datadir}/pixmaps/*

%changelog
* Wed Apr 21 2004 Nils Philippsen <nphilipp@redhat.com> 0.10.2-1
- version 0.10.2 fixes #118504
- use source URL
- remove desktop file as gok only works with a11y on and can be started
  from there

* Sun Apr 11 2004 Warren Togami <wtogami@redhat.com> 0.10.0-2
- BR intltool scrollkeeper libgnomeui-devel libwnck-devel gtk-doc m4 gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.10.0-1
- Update to 0.10.0

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.9.11-1
- Update to 0.9.11

* Wed Mar 17 2004 Jonathan Blandford <jrb@redhat.com> 0.9.10-2
- rebuild

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.9.10-1
- Update to 0.9.10

* Thu Mar  4 2004 Mark McLoughlin <markmc@redhat.com> 0.9.9-1
- Update to 0.9.9

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.9.8-1
- update to 0.9.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep  9 2003 Jonathan Blandford <jrb@redhat.com>
- update for GNOME 2.4

* Mon Jul 21 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May  5 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


